Page MenuHomePhabricator

[OpenMP] Initial implementation of parse+sema for OpenMP clause 'is_device_ptr' of target
ClosedPublic

Authored by carlo.bertolli on Jul 6 2016, 2:27 PM.

Details

Reviewers
kkwli0
ABataev

Diff Detail

Repository
rL LLVM

Event Timeline

carlo.bertolli retitled this revision from to [OpenMP] Initial implementation of parse+sema for OpenMP clause 'is_device_ptr' of target.
carlo.bertolli updated this object.
carlo.bertolli added reviewers: ABataev, kkwli0.
carlo.bertolli set the repository for this revision to rL LLVM.
ABataev added inline comments.Jul 11 2016, 3:14 AM
lib/Sema/SemaOpenMP.cpp
11645–11647

I don't think we should do it right now. It is required for codegen and must be implemented in codegen part.

carlo.bertolli marked an inline comment as done.Jul 11 2016, 7:20 PM

[OpenMP] Remove generation of capture (move to codegen) and rebase.

ABataev edited edge metadata.Jul 11 2016, 8:00 PM

Need a successful test, which prints AST and tests serialization/deserialization, especially with dependent types and instantiatiations

include/clang/AST/OpenMPClause.h
4236

\brief

4248

\brief

4258

\brief

4269

\brief

lib/Sema/SemaOpenMP.cpp
11636–11637

What if Type is dependent?

carlo.bertolli marked 4 inline comments as done.Jul 12 2016, 2:03 PM
carlo.bertolli added inline comments.
lib/Sema/SemaOpenMP.cpp
11636–11637

As per use_device_ptr comment:

In that case at line 8084 (function getPrivateItem) will return the pair (nullptr, true) and at line 11640 I will push nullptr for later analysis.

If this is not enough, can you please explain what needs to be done? Thanks!!

carlo.bertolli edited edge metadata.

[OpenMP] Add regression test for ast, remove 'brief's, and rebase.

ABataev accepted this revision.Jul 12 2016, 11:14 PM
ABataev edited edge metadata.

LG

lib/Sema/SemaOpenMP.cpp
11636–11637

Oh, yes, I believe it is enough

This revision is now accepted and ready to land.Jul 12 2016, 11:14 PM

Committed revision 275282.